Package org.apache.calcite.avatica

# Class MetaImpl.MetaFunction

java.lang.Object
org.apache.calcite.avatica.MetaImpl.MetaFunction

Enclosing class:
  MetaImpl

public static class MetaImpl.MetaFunction extends Object
Metadata describing a function.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`functionCat`
`final String`
`functionName`
`final String`
`functionSchem`
`final short`
`functionType`
`final String`
`remarks`
`final String`
`specificName`

## Constructor Summary

Constructors
Constructor
Description
`MetaFunction(String functionCat, String functionSchem, String functionName, short functionType, String specificName)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### functionCat

public final String functionCat

### functionSchem

public final String functionSchem

### functionName

public final String functionName

### remarks

public final String remarks

### functionType

public final short functionType

### specificName

public final String specificName

## Constructor Details

### MetaFunction

public MetaFunction(String functionCat, String functionSchem, String functionName, short functionType, String specificName)